#ifndef ARCHER_H
#define ARCHER_H

#include "Unit.h"

#include "MemoryManager/debugNew.h"
class Archer :
	public Unit
{
public:
	Archer(void);
	virtual ~Archer(void);
	unitEnumeration::UnitType getType();
	/**
	 * redefinission de la methode d'attaque de l'archer : contrairement au autres unitée, l'arche ne doit pas charger
	 * quand il est à cheval.
	 * @param unit : l'unité ennemie à attaquer
	 */
	virtual void attack(EnnemyUnit & unit);

};

#include "MemoryManager/debugNewOff.h"


#endif
